Package: org.slf4j.impl

## [Java] Class GrailsLog4jMDCAdapter

- org.slf4j.impl.GrailsLog4jMDCAdapter

- All Implemented Interfaces and Traits:
    org.slf4j.spi.MDCAdapter

      @java.lang.SuppressWarnings({ "rawtypes", "unchecked" })
      public class GrailsLog4jMDCAdapter

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `clear()`
    `java.lang.String` | `get(java.lang.String key)`
    `java.util.Map` | `getCopyOfContextMap()`
    `void` | `put(java.lang.String key, java.lang.String val)`
    `void` | `remove(java.lang.String key)`
    `void` | `setContextMap(java.util.Map contextMap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void clear()

    - #### public java.lang.String get(java.lang.String key)

    - #### public java.util.Map getCopyOfContextMap()

    - #### public void put(java.lang.String key, java.lang.String val)

    - #### public void remove(java.lang.String key)

    - #### public void setContextMap(java.util.Map contextMap)